[PATCH] checksyscalls: fail on all intermediate errors
From: Thomas Weißschuh
Date: Sat Apr 04 2026 - 08:23:18 EST
Make sure that a failure of any intermediate step also fails the
overall execution.
Link: https://sashiko.dev/#/patchset/20260402-kbuild-missing-syscalls-v3-0-6641be1de2db%40weissschuh.net
Signed-off-by: Thomas Weißschuh <linux@xxxxxxxxxxxxxx>
---
Niclas, could you move this before commit a414e4ba513f ("checksyscalls:
only run when necessary"), or merge it into that commit?
---
scripts/checksyscalls.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/scripts/checksyscalls.sh b/scripts/checksyscalls.sh
index a6d0882f07e1..e2970421c1ff 100755
--- a/scripts/checksyscalls.sh
+++ b/scripts/checksyscalls.sh
@@ -10,6 +10,8 @@
# checksyscalls.sh gcc gcc-options
#
+set -e
+
reference_table="$(dirname $0)/../arch/x86/entry/syscalls/syscall_32.tbl"
ignore_list() {
---
base-commit: 95f4197e0e5d68e54e9f4aba8e85249c69bad7a7
change-id: 20260403-checksyscalls-set-e-9c8dc0c70293
Best regards,
--
Thomas Weißschuh <linux@xxxxxxxxxxxxxx>